%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Name:           euca2ools
Version:        1.2
Release:        2%{?dist}
Summary:        Elastic Utility Computing Architecture Command-Line Tools

Group:          Applications/Internet
License:        BSD
URL:            http://open.eucalyptus.com/
Source0:        http://eucalyptussoftware.com/downloads/releases/%{name}-%{version}.tar.gz

Requires:       m2crypto
Requires:       python-boto

BuildRequires:  help2man
BuildRequires:  python-devel
BuildRequires:  python-setuptools-devel

BuildArch:      noarch

# Fix bad version reporting
# https://launchpad.net/bugs/522396
# Upstream bzr251-252
Patch251:       euca2ools-1.2-bzr251_252-versionstr.patch

# Fix broken rc file searching
# https://launchpad.net/bugs/516738
# https://launchpad.net/bugs/524652
Patch255:       euca2ools-1.2-bzr255-rcpath.patch

# Fix reversed kernel+ramdisk display order in euca-describe-images
# https://launchpad.net/bugs/526697
Patch260:       euca2ools-1.2-bzr260-describe-order.patch

# Fix broken file path processing
# https://launchpad.net/bugs/522060
Patch267:       euca2ools-1.2-bzr267-path-processing.patch

# Make euca-create-volume documentation consistent
# https://launchpad.net/bugs/542097
Patch269:       euca2ools-1.2-bzr269-createvol-doc.patch

# Correct help files for euca-{modify,reset}-image-attribute
# https://launchpad.net/bugs/543559
# Adapted from upstream bzr271
Patch271:       euca2ools-1.2-bzr271-imgattribute-doc.patch

# Fix euca-bundle-image --block-device-mapping
# https://bugzilla.redhat.com/show_bug.cgi?id=575166
# https://launchpad.net/bugs/544706
Patch273:       euca2ools-1.2-bzr273-blockdevmapping.patch

%description
Eucalyptus is an open source service overlay that implements elastic
computing using existing resources.  The goal of Eucalyptus is to allow
sites with existing clusters and server infrastructure to co-host elastic
computing services that are interface-compatible with Amazon's AWS (EC2,
S3, EBS).

This package contains the command line tools used to interact with
Eucalyptus.  These tools are also compatible with Amazon AWS.


%prep
%setup -q
%patch251 -p0
%patch255 -p0
%patch260 -p0
%patch267 -p0
%patch269 -p0
%patch271 -p0
%patch273 -p0


%build
cd %{name}
%{__python} setup.py build


%install
pushd %{name}
%{__python} setup.py install --skip-build --root %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
popd

mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_mandir}/man1
cp -p bin/* %{buildroot}/%{_bindir}
cp -p man/* %{buildroot}/%{_mandir}/man1


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_bindir}/euca-*
%{_mandir}/man1/euca*
%{python_sitelib}/%{name}-*.egg-info
%{python_sitelib}/%{name}/
%doc CHANGELOG
%doc COPYING
%doc INSTALL
%doc README

%changelog
* Mon Mar 22 2010 Garrett Holmstrom <gholms@fedoraproject.org> - 1.2-2
- Fix bad version reporting [LP:522396]
- Fix broken rc file searching [LP:516738 LP:524652]
- Fix reversed kernel+ramdisk display order in euca-describe-images [LP:256697]
- Fix broken file patch processing [LP:522060]
- Make euca-create-volume documentation consistent [LP:542097]
- Correct help files for euca-{modify,reset}-image-attribute [LP:543559]
- Fix euca-bundle-image --block-device-mapping [575166]

* Thu Feb 18 2010 Garrett Holmstrom <gholms@fedoraproject.org> - 1.2-1
- Upstream update

* Thu Feb  4 2010 Garrett Holmstrom <gholms@fedoraproject.org> - 1.1-5
- Fix changelog

* Wed Jan 20 2010 Garrett Holmstrom <gholms@fedoraproject.org> - 1.1-4
- Stop requiring swig
- Take ownership of %%{python_sitelib}/%%{name} directory
- Clarify description
- Drop now-superfluous buildroot tag and cleaning step

* Fri Jan 15 2010 Garrett Holmstrom <gholms@fedoraproject.org> - 1.1-3
- Update download URI

* Fri Jan  8 2010 Garrett Holmstrom <gholms@fedoraproject.org> - 1.1-2
- Add COPYING and INSTALL docfiles

* Fri Jan  8 2010 Garrett Holmstrom <gholms@fedoraproject.org> - 1.1-1
- Initial packaging attempt
